## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.2.1 --stream hackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

# requires net access
%bcond_with tests

Name:           dl-fedora
Version:        1.1
Release:        %autorelease
Summary:        Fedora image download tool

License:        GPL-3.0-or-later
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-ansi-wl-pprint-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-directory-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-regex-posix-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-simple-cmd-args-devel
BuildRequires:  ghc-simple-prompt-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-xdg-userdirs-devel
BuildRequires:  help2man
# End cabal-rpm deps
# --help fails on i686
ExcludeArch:    %{ix86}

%description
Tool to download Fedora and Centos Stream iso and image files.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install

mkdir -p %{buildroot}%{bash_completions_dir}
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{bash_completions_dir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
help2man --no-info %{buildroot}%{_bindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1
# End cabal-rpm install


%check
%if %{with tests}
PATH=%{buildroot}%{_bindir}:$PATH
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{_mandir}/man1/%{name}.1*
# End cabal-rpm files


%changelog
## START: Generated by rpmautospec
* Wed Aug 07 2024 Jens Petersen <petersen@redhat.com> - 1.1-5
- exclude ix86
- -help and hence help2man fail (since not in Arch). There are no 32bit
  images anyway.

* Mon Aug 05 2024 Jens Petersen <petersen@redhat.com> - 1.1-4
- bump release

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Jens Petersen <petersen@redhat.com> - 1.1-2
- refresh to cabal-rpm-2.2.1

* Thu May 23 2024 Jens Petersen <petersen@redhat.com> - 1.1-1
- https://hackage.haskell.org/package/dl-fedora-1.1/changelog

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Sep 15 2023 Jens Petersen <petersen@redhat.com> - 1.0-1
- https://hackage.haskell.org/package/dl-fedora-1.0/changelog

* Fri Aug 18 2023 Jens Petersen <petersen@redhat.com> - 0.9.6-1
- https://hackage.haskell.org/package/dl-fedora-0.9.6/changelog

* Mon Jul 24 2023 Jens Petersen <petersen@redhat.com> - 0.9.5.1-1
- https://hackage.haskell.org/package/dl-fedora-0.9.5.1/changelog

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Apr 18 2023 Jens Petersen <petersen@redhat.com> - 0.9.5-1
- add F38 Sericea sway ostree image

* Thu Mar 23 2023 Jens Petersen <petersen@redhat.com> - 0.9.4-1
- add new F38 spins: Budgie and Sway
- change koji target to --koji mirror option
- if mirror redirect fails then fallback to primary
- run with qemu -cpu host option

* Thu Feb 16 2023 Jens Petersen <petersen@redhat.com> - 0.9.3-4
- refresh to cabal-rpm-2.1.0 with SPDX migration

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Jens Petersen <petersen@redhat.com> - 0.9.3-2
- rebuild

* Sat Jun 11 2022 Jens Petersen <petersen@redhat.com> - 0.9.3-1
- show timestamp of images

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Miro Hrončok <mhroncok@redhat.com> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/LIBFFI34

* Fri Oct 01 2021 Jens Petersen <petersen@redhat.com> - 0.9.2-1
- use latest test (beta) version (not any older version)

* Mon Aug 30 2021 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- new Kinoite edition for F35
- initial Centos Stream "c9s" target for production boot images

* Fri Aug 06 2021 Jens Petersen <petersen@redhat.com> - 0.9-3
- rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 22 2021 Jens Petersen <petersen@redhat.com> - 0.9-1
- edition is now an argument after release, not an option
- --local --dryrun only accesses local files now for speed

* Wed Apr 07 2021 Jens Petersen <petersen@redhat.com> - 0.8-1
- new --local option to print (--run) current local image
  instead of downloading any newer image
- improve --dryrun Downloads/ handling

* Tue Apr 06 2021 Jens Petersen <petersen@redhat.com> - 0.7.7-1
- add the new F34 i3 spin
- shorten mate_compiz to mate

* Wed Jan 27 2021 Jens Petersen <petersen@redhat.com> - 0.7.6-1
- improve help text for releases related for Beta and RCs (#1)
- if ~/Downloads/iso/ exists then download to it otherwise ~/Downloads/
- support ELN boot.iso

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Sep 14 01:26:11 +08 2020 Jens Petersen <petersen@redhat.com> - 0.7.5-1
- improve checksum file handling
- '--replace' option deletes previous symlinked image after downloading new
- always display url and already downloaded filename

* Mon Aug 10 2020 Jens Petersen <petersen@redhat.com> - 0.7.4-4
- setup bash completion

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 17 2020 Jens Petersen <petersen@redhat.com> - 0.7.4-2
- refresh to cabal-rpm-2.0.6

* Sun Mar 15 2020 Jens Petersen <petersen@redhat.com> - 0.7.4-1
- add "koji" release target which downloads from latest branched compose

* Thu Feb 20 2020 Jens Petersen <petersen@redhat.com> - 0.7.3-2
- rebuild

* Tue Feb 11 2020 Jens Petersen <petersen@redhat.com> - 0.7.3-1
- fix detection of CHECKSUM512 for respins

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 10 2019 Jens Petersen <petersen@redhat.com> - 0.7.2-1
- update to 0.7.2

* Wed Sep 18 2019 Jens Petersen <petersen@redhat.com> - 0.7-1
- update to 0.7

* Tue Sep 10 2019 Jens Petersen <petersen@redhat.com> - 0.6-2
- make license tag GPLv3 (#1750103)

* Tue Sep  3 2019 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.6-1
- spec file generated by cabal-rpm-1.0.1

## END: Generated by rpmautospec
